   NERR_SUCCESS                       = $0;

   FILTER_ALL_ACCOUNT                 = $0;   // All
   FILTER_NORMAL_ACCOUNT	            = $2;   // Users
   FILTER_WORKSTATION_TRUST_ACCOUNT	  = $10;  // WKS
   FILTER_SERVER_TRUST_ACCOUNT        = $20;  // DC

   USER_PRIV_ALL                      = $FFFFFFFF;
   USER_PRIV_ADMIN                    = $2;
   USER_PRIV_USER                     = $1;
   USER_PRIV_GUEST                    = $0;

   UF_NORMAL_ACCOUNT                  = $1;
   UF_ACCOUNTDISABLE                  = $2;
   UF_DONT_EXPIRE_PASSWORD	          = $10000;
   UF_WORKSTATION_TRUST_ACCOUNT	      = $1000;  {??? UF_PASSWRD_NOTREQD	}
   UF_SERVER_TRUST_ACCOUNT            = $2000;
   UF_PASSWRD_CANT_CHANGE             = $40;
   UF_SCRIPT	                        = $200;

   WHAT_USER                          = $0;
   WHAT_DC                            = $1;
   WHAT_PDC                           = $2;
   WHAT_BDC                           = $4;
   WHAT_SQL                           = $8;
   WHAT_MEMBERSERVER                  = $10;
   WHAT_WKS                           = $20;

   SE_GROUP_MANDATORY                 = $4;

   SV_TYPE_WORKSTATION	              = $1; 	         //All LAN Manager workstations
   SV_TYPE_SERVER	                    = $2; 	         //All LAN Manager servers
   SV_TYPE_SQLSERVER	                = $4;	           //Any server running with Microsoft SQL Server
   SV_TYPE_DOMAIN_CTRL	              = $8;	           //Primary domain controller
   SV_TYPE_DOMAIN_BAKCTRL	            = $10;	         //Backup domain controller
   SV_TYPE_TIMESOURCE	                = $20;	         //Server running the Timesource service
   SV_TYPE_AFP	                      = $40;	         //Apple File Protocol servers
   SV_TYPE_NOVELL	                    = $80;	         //Novell servers
   SV_TYPE_DOMAIN_MEMBER	            = $100;	         //LAN Manager 2.x Domain Member
   SV_TYPE_LOCAL_LIST_ONLY	          = $40000000;	   //Servers maintained by the browser. See the following Remarks section.
   SV_TYPE_PRINT	                    = $200;	         //Server sharing print queue
   SV_TYPE_DIALIN	                    = $400;	         //Server running dial-in service
   SV_TYPE_XENIX_SERVER	              = $800;	         //Xenix server
   SV_TYPE_MFPN	                      = $4000;	       //Microsoft File and Print for Netware
   SV_TYPE_NT	                        = $1000;	       //Windows NT (either Workstation or Server)
   SV_TYPE_WFW	                      = $2000;	       //Server running Windows for Workgroups
   SV_TYPE_SERVER_NT	                = $8000;	       //Windows NT Non-DC server
   SV_TYPE_POTENTIAL_BROWSER	        = $10000;	       //Server that can run the Browser service
   SV_TYPE_BACKUP_BROWSER 	          = $20000;	       //Server running a Browser service as backup
   SV_TYPE_MASTER_BROWSER	            = $40000;	       //Server running the master Browser service
   SV_TYPE_DOMAIN_MASTER	            = $80000;	       //Server running the domain master Browser
   SV_TYPE_DOMAIN_ENUM	              = $80000000;	   //Primary Domain
   SV_TYPE_WINDOWS	                  = $400000;	     //Windows 95 or later
   SV_TYPE_ALL	                      = $FFFFFFFF;	   //All servers

   PLATFORM_WINNT_TYPE			= $01F4;
   PLATFORM_WIN9X_TYPE			= $0190;